Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.groovydoc
Interface GroovyDoc

All Superinterfaces:
  Comparable

All Known Subinterfaces:
  GroovyClassDoc, GroovyConstructorDoc, GroovyExecutableMemberDoc, GroovyFieldDoc, GroovyMemberDoc, GroovyMethodDoc, GroovyPackageDoc, GroovyProgramElementDoc, GroovyRootDoc

All Known Implementing Classes:
  ExternalGroovyClassDoc, SimpleGroovyClassDoc, SimpleGroovyConstructorDoc, SimpleGroovyDoc, SimpleGroovyExecutableMemberDoc, SimpleGroovyFieldDoc, SimpleGroovyMemberDoc, SimpleGroovyMethodDoc, SimpleGroovyPackageDoc, SimpleGroovyProgramElementDoc, SimpleGroovyRootDoc

    public interface GroovyDoc

extends Comparable

Method Summary
`String` | `commentText()`
`String` | `firstSentenceCommentText()`
`String` | `getRawCommentText()`
`boolean` | `isAnnotationType()`
`boolean` | `isAnnotationTypeElement()`
`boolean` | `isClass()`
`boolean` | `isConstructor()`
`boolean` | `isDeprecated()`
`boolean` | `isEnum()`
`boolean` | `isEnumConstant()`
`boolean` | `isError()`
`boolean` | `isException()`
`boolean` | `isField()`
`boolean` | `isIncluded()`
`boolean` | `isInterface()`
`boolean` | `isMethod()`
`boolean` | `isOrdinaryClass()`
`String` | `name()`
`void` | `setRawCommentText(String arg0)`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### commentText

    String commentText()

### getRawCommentText

    String getRawCommentText()

### isAnnotationType

    boolean isAnnotationType()

### isAnnotationTypeElement

    boolean isAnnotationTypeElement()

### isClass

    boolean isClass()

### isConstructor

    boolean isConstructor()

### isDeprecated

    boolean isDeprecated()

### isEnum

    boolean isEnum()

### isEnumConstant

    boolean isEnumConstant()

### isError

    boolean isError()

### isException

    boolean isException()

### isField

    boolean isField()

### isIncluded

    boolean isIncluded()

### isInterface

    boolean isInterface()

### isMethod

    boolean isMethod()

### isOrdinaryClass

    boolean isOrdinaryClass()

### name

    String name()

### setRawCommentText

    void setRawCommentText(String arg0)

### firstSentenceCommentText

    String firstSentenceCommentText()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD